%     FASTENER DOCTOR - программа для лечения и конвертации крепежа
%     Copyright (C) 2018  Михаил Козлов
%     Сайт проекта: <http://www.fastenerdoctor.ru/>
%     Адрес электронной почты для связи с разработчиком:
%     <doctor.fastener@gmail.com>
% 
%     Эта программа является свободным программным обеспечением: Вы можете
%     распространять ее и/или изменять, соблюдая условия Универсальной общественной
%     лицензии GNU, опубликованной Фондом свободного программного обеспечения,
%     либо редакции 3, либо (на Ваше усмотрение) любой редакции, выпущенной позже.
% 
%     Эта программа распространяется в надежде на то, что она окажется полезной,
%     но БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ, включая даже подразумеваемую гарантию ТОВАРНОЙ ПРИГОДНОСТИ,
%     либо ПРИГОДНОСТИ ДЛЯ ОПРЕДЕЛЕННЫХ ЦЕЛЕЙ. Ознакомьтесь с Универсальной общественной
%     лицензией GNU для получения более подробной информации.
% 
%     Вы должны были получить копию Универсальной общественной лицензии GNU
%     вместе с этой программой. Если Вы ее не получили, то перейдите по адресу:
%     <http://www.gnu.org/licenses/>.
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>.

function Compare_flag = Compare_DOFs(DOFs_1, DOFs_2)

if (DOFs_1 == DOFs_2)
    Compare_flag = 1;
    return;
end

String_1 = num2str(DOFs_1);
String_2 = num2str(DOFs_2);

N_digits_1 = numel(String_1);
N_digits_2 = numel(String_2);

if (N_digits_1 ~= N_digits_2)
    Compare_flag = 0;
    return;
end

Digits_1 = zeros(N_digits_1,1);
Digits_2 = zeros(N_digits_2,1);

for i=1:N_digits_1
    Digits_1(i) = str2double(String_1(i));
end

for i=1:N_digits_2
    Digits_2(i) = str2double(String_2(i));
end

Digits_1 = sortrows(Digits_1,1);
Digits_2 = sortrows(Digits_2,1);

if (Digits_1 == Digits_2)
    Compare_flag = 1;
else
    Compare_flag = 0;
end
